{"openapi":"3.0.3","info":{"title":"gate402","version":"0.2.0"},"servers":[{"url":"https://api.ogenalabs.com/api/gate402"}],"paths":{"/v1/checkout/create":{"post":{"operationId":"create_checkout","summary":"Create x402 checkout","description":"Issue buyer-facing x402 payment terms for one merchant order: funds settle payer to merchant directly. Costs $0.01 USDC per checkout. First 20 per caller per day are free.","responses":{"200":{"description":"Checkout with buyer terms."},"402":{"description":"Payment required: $0.01 USDC."}}}},"/v1/checkout/{id}":{"get":{"operationId":"get_checkout","summary":"Checkout status","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Stored checkout."},"404":{"description":"Unknown checkout."}}}},"/v1/checkout/{id}/verify":{"post":{"operationId":"verify_checkout","summary":"Verify checkout payment","description":"Verify and settle the buyer payment for a checkout id. Free: pass the buyer paymentSignature, get back paid with the settlement transaction or pending with the reason.","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"paid with transaction or pending with reason."},"404":{"description":"Unknown checkout."}}}}}}